Listar tentativas de entrega
curl --request GET \
--url https://api.oripaysolutions.com.br/v1/events/{id}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/events/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/events/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/events/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "dlv_4a5b6c7d-...",
"attempt": 123,
"status": "delivered",
"response_status": 123,
"duration_ms": 123,
"error": "<string>",
"attempted_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Webhooks
Listar tentativas de entrega
Scope: webhooks:read.
GET
/
events
/
{id}
/
deliveries
Listar tentativas de entrega
curl --request GET \
--url https://api.oripaysolutions.com.br/v1/events/{id}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oripaysolutions.com.br/v1/events/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oripaysolutions.com.br/v1/events/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oripaysolutions.com.br/v1/events/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "dlv_4a5b6c7d-...",
"attempt": 123,
"status": "delivered",
"response_status": 123,
"duration_ms": 123,
"error": "<string>",
"attempted_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
],
"existing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Chave oripay_live_.... Só funciona dos IPs cadastrados para ela.
Path Parameters
ID do evento, com ou sem o prefixo evt_.
Example:
"evt_9f8e7d6c-5b4a-4321-8fed-cba987654321"
Response
Tentativas, da mais antiga para a mais nova
Show child attributes
Show child attributes